#ifdef USE_CONFIG_PARSER
module PARSER_SUB_F
    contains

    FUNCTION compare_char_arrays(arr1, arr2) RESULT(isEqual)
        IMPLICIT NONE
        INTEGER :: size1, size2
        CHARACTER, intent(in) :: arr1(:)
        CHARACTER(len=*), intent(in) :: arr2
        LOGICAL:: isEqual
        INTEGER :: N, i
        size1 = size(arr1)
        size2 = len(arr2)

        isEqual = .TRUE.

        IF (size1.NE.size2) THEN
            isEqual = .FALSE.
            RETURN
        END IF

        N = size1

        DO i = 1, N
            IF (arr1(i) .NE. arr2(i:i)) THEN
                isEqual = .FALSE.  
                RETURN
            END IF
        END DO
    END FUNCTION compare_char_arrays 

    FUNCTION get_sfx_type(config_var_name) RESULT(type)
        USE PARSER
        USE sfx_surface
        IMPLICIT NONE
        CHARACTER, intent(in) :: config_var_name(*)
        CHARACTER, allocatable :: sfx_type(:)
        INTEGER :: type

        call get_charf(config_var_name, sfx_type)

        if ( compare_char_arrays(sfx_type, "ocean") ) then
            type = surface_ocean
        else if ( compare_char_arrays(sfx_type, "lake") ) then
            type = surface_lake
        else if ( compare_char_arrays(sfx_type, "land") ) then
            type = surface_land
        end if

        deallocate(sfx_type)
    END FUNCTION get_sfx_type 

end module PARSER_SUB_F
#endif

